/**
* DevExtreme (ui/drop_down_button.d.ts)
* Version: 19.1.10 (build 20094-1322)
* Build date: Fri Apr 03 2020
*
* Copyright (c) 2012 - 2020 Developer Express Inc. ALL RIGHTS RESERVED
* Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
*/
import DevExpress from '../bundles/dx.all';

declare global {
interface JQuery {
    dxDropDownButton(): JQuery;
    dxDropDownButton(options: "instance"): DevExpress.ui.dxDropDownButton;
    dxDropDownButton(options: string): any;
    dxDropDownButton(options: string, ...params: any[]): any;
    dxDropDownButton(options: DevExpress.ui.dxDropDownButtonOptions): JQuery;
}
}
export default DevExpress.ui.dxDropDownButton;
export type Options = DevExpress.ui.dxDropDownButtonOptions;

/** @deprecated use Options instead */
export type IOptions = DevExpress.ui.dxDropDownButtonOptions;