/**
* DevExtreme (ui/text_box.d.ts)
* Version: 19.1.10 (build 20094-1322)
* Build date: Fri Apr 03 2020
*
* Copyright (c) 2012 - 2020 Developer Express Inc. ALL RIGHTS RESERVED
* Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
*/
import DevExpress from '../bundles/dx.all';

declare global {
interface JQuery {
    dxTextBox(): JQuery;
    dxTextBox(options: "instance"): DevExpress.ui.dxTextBox;
    dxTextBox(options: string): any;
    dxTextBox(options: string, ...params: any[]): any;
    dxTextBox(options: DevExpress.ui.dxTextBoxOptions): JQuery;
}
}
export default DevExpress.ui.dxTextBox;
export type Options = DevExpress.ui.dxTextBoxOptions;

/** @deprecated use Options instead */
export type IOptions = DevExpress.ui.dxTextBoxOptions;